Synthesize an agent blueprint
curl --request POST \
--url https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"source": {
"text": "<string>",
"label": "Pasted text",
"title": "",
"format": "text",
"chars": 0,
"truncated": false,
"notes": []
},
"domain": "auto"
}
'import requests
url = "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize"
payload = {
"source": {
"text": "<string>",
"label": "Pasted text",
"title": "",
"format": "text",
"chars": 0,
"truncated": False,
"notes": []
},
"domain": "auto"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {
text: '<string>',
label: 'Pasted text',
title: '',
format: 'text',
chars: 0,
truncated: false,
notes: []
},
domain: 'auto'
})
};
fetch('https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => [
'text' => '<string>',
'label' => 'Pasted text',
'title' => '',
'format' => 'text',
'chars' => 0,
'truncated' => false,
'notes' => [
]
],
'domain' => 'auto'
]),
CURLOPT_COOKIE => "session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize"
payload := strings.NewReader("{\n \"source\": {\n \"text\": \"<string>\",\n \"label\": \"Pasted text\",\n \"title\": \"\",\n \"format\": \"text\",\n \"chars\": 0,\n \"truncated\": false,\n \"notes\": []\n },\n \"domain\": \"auto\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize")
.header("cookie", "session=")
.header("Content-Type", "application/json")
.body("{\n \"source\": {\n \"text\": \"<string>\",\n \"label\": \"Pasted text\",\n \"title\": \"\",\n \"format\": \"text\",\n \"chars\": 0,\n \"truncated\": false,\n \"notes\": []\n },\n \"domain\": \"auto\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": {\n \"text\": \"<string>\",\n \"label\": \"Pasted text\",\n \"title\": \"\",\n \"format\": \"text\",\n \"chars\": 0,\n \"truncated\": false,\n \"notes\": []\n },\n \"domain\": \"auto\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"partial": true
}
}{
"data": {
"partial": true,
"missing": [
"<string>"
]
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Synthesize an agent blueprint
Step 2: one model call turns the extracted source into an agent spec, a synthetic system of record and a Markdown artifact. Returns 202 instead of 200 when the model’s output was cut short; the usable parts come back with a list of what’s missing.
Auth: session. Permission: run_agents or manage_agents.
POST
/
projects
/
{projectId}
/
synthetic
/
synthesize
Synthesize an agent blueprint
curl --request POST \
--url https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"source": {
"text": "<string>",
"label": "Pasted text",
"title": "",
"format": "text",
"chars": 0,
"truncated": false,
"notes": []
},
"domain": "auto"
}
'import requests
url = "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize"
payload = {
"source": {
"text": "<string>",
"label": "Pasted text",
"title": "",
"format": "text",
"chars": 0,
"truncated": False,
"notes": []
},
"domain": "auto"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {
text: '<string>',
label: 'Pasted text',
title: '',
format: 'text',
chars: 0,
truncated: false,
notes: []
},
domain: 'auto'
})
};
fetch('https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => [
'text' => '<string>',
'label' => 'Pasted text',
'title' => '',
'format' => 'text',
'chars' => 0,
'truncated' => false,
'notes' => [
]
],
'domain' => 'auto'
]),
CURLOPT_COOKIE => "session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize"
payload := strings.NewReader("{\n \"source\": {\n \"text\": \"<string>\",\n \"label\": \"Pasted text\",\n \"title\": \"\",\n \"format\": \"text\",\n \"chars\": 0,\n \"truncated\": false,\n \"notes\": []\n },\n \"domain\": \"auto\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize")
.header("cookie", "session=")
.header("Content-Type", "application/json")
.body("{\n \"source\": {\n \"text\": \"<string>\",\n \"label\": \"Pasted text\",\n \"title\": \"\",\n \"format\": \"text\",\n \"chars\": 0,\n \"truncated\": false,\n \"notes\": []\n },\n \"domain\": \"auto\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/synthetic/synthesize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": {\n \"text\": \"<string>\",\n \"label\": \"Pasted text\",\n \"title\": \"\",\n \"format\": \"text\",\n \"chars\": 0,\n \"truncated\": false,\n \"notes\": []\n },\n \"domain\": \"auto\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"partial": true
}
}{
"data": {
"partial": true,
"missing": [
"<string>"
]
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Authorizations
The session cookie set when you sign in to AgentHub or ModelHub in a browser. The cookie name shown here is illustrative. There are no API tokens for these endpoints.
Path Parameters
Project id.
Body
application/json
Response
Blueprint.
Show child attributes
Show child attributes